### Method

# Atspi EditableText paste_text

#### Declaration [src]

    gboolean
    atspi_editable_text_paste_text (
      AtspiEditableText* obj,
      gint position,
      GError** error
    )

#### Description [src]

Inserts text from the system clipboard into an `AtspiEditableText` object. As with all character offsets, the specified `position` may not be the same as the resulting byte offset, since the text is in a variable-width encoding.

#### Parameters

`position`

  Type: `gint`

  A #gint indicating the character offset at which to insert the new text.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the operation was successful, otherwise `FALSE`.